## IdeGenesisAddin IdeGenesisAddin |

## Functions

gboolean | ide_genesis_addin_apply_uri ()
gchar * | ide_genesis_addin_get_label ()
gchar * | ide_genesis_addin_get_next_label ()
gint | ide_genesis_addin_get_priority ()
gchar * | ide_genesis_addin_get_title ()
gchar * | ide_genesis_addin_get_icon_name ()
GtkWidget * | ide_genesis_addin_get_widget ()
void | ide_genesis_addin_run_async ()
gboolean | ide_genesis_addin_run_finish ()

## Properties

gboolean | is-ready | Read

## Types and Values

#define | IDE_TYPE_GENESIS_ADDIN
struct | IdeGenesisAddinInterface
| IdeGenesisAddin

## Object Hierarchy

        GInterface
        ╰── IdeGenesisAddin

## Prerequisites

IdeGenesisAddin requires GObject.

## Description

## Functions

### ide_genesis_addin_apply_uri ()

    gboolean
    ide_genesis_addin_apply_uri (IdeGenesisAddin *self,
                                 IdeVcsUri *uri);

If the IdeGenesisAddin knows how to handle `uri` , it should update it's UI to reflect the uri and return `TRUE`. If so, `ide_genesis_addin_run_async()` will be called afterwards to begin a clone.

#### Parameters

self | an IdeGenesisAddin |
uri | an IdeVcsUri |

#### Returns

`TRUE` if `uri` was handled; otherwise `FALSE`.

### ide_genesis_addin_get_label ()

    gchar *
    ide_genesis_addin_get_label (IdeGenesisAddin *self);

### ide_genesis_addin_get_next_label ()

    gchar *
    ide_genesis_addin_get_next_label (IdeGenesisAddin *self);

### ide_genesis_addin_get_priority ()

    gint
    ide_genesis_addin_get_priority (IdeGenesisAddin *self);

### ide_genesis_addin_get_title ()

    gchar *
    ide_genesis_addin_get_title (IdeGenesisAddin *self);

### ide_genesis_addin_get_icon_name ()

    gchar *
    ide_genesis_addin_get_icon_name (IdeGenesisAddin *self);

### ide_genesis_addin_get_widget ()

    GtkWidget *
    ide_genesis_addin_get_widget (IdeGenesisAddin *self);

#### Returns

a GtkWidget.

[transfer none]

### ide_genesis_addin_run_async ()

    void
    ide_genesis_addin_run_async (IdeGenesisAddin *self,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

### ide_genesis_addin_run_finish ()

    gboolean
    ide_genesis_addin_run_finish (IdeGenesisAddin *self,
                                  GAsyncResult *result,
                                  GError **error);

## Types and Values

### IDE_TYPE_GENESIS_ADDIN

    #define IDE_TYPE_GENESIS_ADDIN (ide_genesis_addin_get_type())

### struct IdeGenesisAddinInterface

    struct IdeGenesisAddinInterface {
      GTypeInterface parent_interface;

      gchar     *(*get_title)      (IdeGenesisAddin      *self);
      gchar     *(*get_icon_name)  (IdeGenesisAddin      *self);
      GtkWidget *(*get_widget)     (IdeGenesisAddin      *self);
      void       (*run_async)      (IdeGenesisAddin      *self,
                                    GCancellable         *cancellable,
                                    GAsyncReadyCallback   callback,
                                    gpointer              user_data);
      gboolean   (*run_finish)     (IdeGenesisAddin      *self,
                                    GAsyncResult         *result,
                                    GError              **error);
      gchar     *(*get_label)      (IdeGenesisAddin      *self);
      gchar     *(*get_next_label) (IdeGenesisAddin      *self);
      gint       (*get_priority)   (IdeGenesisAddin      *self);
      gboolean   (*apply_uri)      (IdeGenesisAddin      *self,
                                    IdeVcsUri            *uri);
    };

### IdeGenesisAddin

    typedef struct _IdeGenesisAddin IdeGenesisAddin;

## Property Details

### The `“is-ready”` property

      “is-ready”                 gboolean

If the project genesis can be executed.

Flags: Read

Default value: FALSE